WordPress.org

Ready to get started?Download WordPress

Forums

WP-vito restaurant theme errors (5 posts)

  1. kthe
    Member
    Posted 1 year ago #

    Hello,

    I am just installing the vito restaurant on our website but I receive the following errors occur, I try to figure out what is actually happening

    Warning: Invalid argument supplied for foreach() in /home/the26/domains/meysdelichicken.nl/public_html/wp-content/themes/vitos_restaurant/functions.php on line 19

    Warning: Cannot modify header information - headers already sent by (output started at /home/the26/domains/meysdelichicken.nl/public_html/wp-content/themes/vitos_restaurant/functions.php:19) in /home/the26/domains/meysdelichicken.nl/public_html/wp-includes/option.php on line 568

    Warning: Cannot modify header information - headers already sent by (output started at /home/the26/domains/meysdelichicken.nl/public_html/wp-content/themes/vitos_restaurant/functions.php:19) in /home/the26/domains/meysdelichicken.nl/public_html/wp-includes/option.php on line 569

    Any help is appreciated !

    Thanks
    kthe

  2. esmi
    Theme Diva & Forum Moderator
    Posted 1 year ago #

    Where did you download this theme from?

  3. kthe
    Member
    Posted 1 year ago #

    I downloaded it from this following links:

    http://www.free-wordpress-theme.net/theme/preview/vitos-restaurant.html

    I tried different themes without any warning errors but not this "vitos-restaurant".

    I tried WordPress 3.0.0., also the same problem occurred.

    No plugin installed yet, it is just activating the theme and I receive these warning.

  4. WPyogi
    Volunteer Moderator
    Posted 1 year ago #

    Find another theme -- it has problems. This may be helpful:

    http://www.chipbennett.net/2010/12/10/only-download-wordpress-themes-from-trusted-sources/

  5. Edit: Doh! She beat me by 2 minutes easy. I can't keep up. ;)

    That's a very non-GPL compatible theme. Line 142 of theme's function.php file has a ton of obfuscated nonsense code in it.

    Your chosen theme is not released under GPL. Non GPL products are not welcome in the WordPress community. Official WordPress policy states that all plugins and themes that are publicly released are required to adhere to http://wordpress.org/about/gpl/

    Any support requests for non-GPL products are usually ignored, in the interests of supporting the community and its freedoms.

    Please consider using a theme from a reputable source such as the theme repository here.

    http://wordpress.org/extend/themes/

Topic Closed

This topic has been closed to new replies.

About this Topic

Tags